# CMxDataType Class

Namespace: `ArchestrA.Toolkit`

CMxDataType is derived from CMxCommon and provides support for MxDataType Attributes.

**Syntax**

```csharp
public class CMxDataType : CMxCommon
```

## CMxDataType Property

### Value Property

Provides a property to get and set the value as an MxDataType.

**Syntax**

```csharp
public MxDataType Value { get; set; }
```

**Returns**

MxDataType

## CMxDataType Constructors

### CMxDataType Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxDataType();
```

### CMxDataType Constructor (MxDataType)

Provides a constructor to initialize the class with a MxDataType default value.

**Syntax**

```csharp
public CMxDataType (MxDataType v);
```

**Parameters**

**`v`**

[in] MxDataType value to be set.

### CMxDataType Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxDataType (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

SupportWrapper.

**`_attributeRef`**

string value that holds the attribute reference.

## CMxDataType Method

### Set Method

Provides a method to set the value of the Attribute from a CMxDataType.

**Syntax**

```csharp
public void Set(CMxDataType val);
```

**Parameters**

**`val`**

[in] CMxDataType value to be set

## CMxDataType Operator Overloads

### CMxDataType Operator Overload (MxDataType)

Provides an operator to convert a MxDataType into a CMxDataType.

**Syntax**

```csharp
public static implicit operator CMxDataType(MxDataType x);
```

**Parameters**

**`x`**

[in] MxDataType value to convert to CMxDataType.

**Returns**

CMxDataType

### CMxValue Operator Overload

Provides an operator to convert a CMxDataType into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxDataType val);
```

**Parameters**

**`val`**

[in] CMxDataType value to convert to CMxValue.

**Returns**

CMxValue

### MxDataType Operator Overload

Provides an operator to convert a CMxDataType into a MxDataType.

**Syntax**

```csharp
public static implicit operator MxDataType(CMxDataType val);
```

**Parameters**

**`val`**

[in] CMxDataType value to convert to MxDataType.

**Returns**

MxDataType

### CMxDataType Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxDataType.

**Syntax**

```csharp
public static implicit operator CMxDataType(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxDataType.
